.requests {
  font-size: 12px;
  font-style: normal;
  border-collapse: collapse;
  width: 100%;
}

.requests th {
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  padding: 6px;
  font-size: 14px;
  font-weight: bold;
  background-color: #F8F8F8;
  text-align: center;
}

.requests tr:nth-child(even) {
  background-color: #F8F8F8;
}

.requests tr:hover {
  background-color: #ddd;
}

.requests td {
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  padding: 6px;
  text-align: center;
}

.table-title {
  font-size: 14px;
  font-weight: bold;
  padding: 20px;
  background-color: #F8F8F8;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}

.page {
  font-family: "Segoe UI", sans-serif;
  border: 20px solid white;
}

.space {
  height: 15px;
  background-color: white;
}

.p-column-filter {
  font-size: 12px;
  text-align: center;
  border: 1px solid #ddd;
  padding: 5px;
  color: darkgray;
}

.p-mr-2 {
  font-size: 12px;
  font-family: "Segoe UI", sans-serif;
  border-color: #F8F8F8;
}

:host ::ng-deep.p-dialog {
  width: 500px;
  height: 500px;
  display: flex;
  flex-direction: column;
  background-color: whitesmoke;
  border: 1px solid #ddd;
  max-height: 90%;
  transform: scale(1);
}

:host ::ng-deep.p-dialog-header {
  border-bottom: 0 none;
  border-bottom-width: 0px;
  border-bottom-style: none;
  border-bottom-color: initial;
  background: #ffffff;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat-x: initial;
  background-repeat-y: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgb(255, 255, 255);
  color: #495057;
  padding: 1.5rem;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}

:host ::ng-deep.p-dialog-header-icon {
  width: 2rem;
  height: 2rem;
  color: #6c757d;
  border-top-color: initial;
  border-top-style: none;
  border-right-color: initial;
  border-right-style: none;
  border-bottom-color: initial;
  border-bottom-style: none;
  border-left-color: initial;
  border-left-style: none;
  border-image-source: initial;
  border-image-slice: initial;
  border-image-width: initial;
  border-image-outset: initial;
  border-image-repeat: initial;
  background-image: initial;
  background-position-x: initial;
  background-position-y: initial;
  background-size: initial;
  background-repeat-x: initial;
  background-repeat-y: initial;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: white;
  border-radius: 50%;
  transition-property: background-color, color, box-shadow;
  transition-duration: 0.2s, 0.2s, 0.2s;
  transition-timing-function: ease, ease, ease;
  transition-delay: 0s, 0s, 0s;
  justify-content: center;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: center;
}

:host ::ng-deep.pi-times::before {
  content: "\00d7";
}

:host ::ng-deep.pi-times:hover {
  font-weight: bold;
  color: black;
  font-size: 25px;
}


















